Package javassist.compiler.ast

# Class FieldDecl

java.lang.Object
javassist.compiler.ast.ASTree
javassist.compiler.ast.ASTList
javassist.compiler.ast.FieldDecl

All Implemented Interfaces:
  `Serializable`

public class FieldDecl extends ASTList

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FieldDecl(ASTree _head, ASTList _tail)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Visitor v)`
Is a method for the visitor pattern.
`Declarator`
`getDeclarator()`
`ASTree`
`getInit()`
`ASTList`
`getModifiers()`

### Methods inherited from class javassist.compiler.ast.ASTList

`append, concat, getLeft, getRight, head, length, length, make, setHead, setLeft, setRight, setTail, sublist, subst, tail, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FieldDecl

public FieldDecl(ASTree _head, ASTList _tail)

## Method Details

### getModifiers

public ASTList getModifiers()

### getDeclarator

public Declarator getDeclarator()

### getInit

public ASTree getInit()

### accept

public void accept(Visitor v) throws javassist.compiler.CompileError
Description copied from class: `ASTree`
Is a method for the visitor pattern. It calls `atXXX()` on the given visitor, where `XXX` is the class name of the node object.

Overrides:
  `accept` in class `ASTList`
Throws:
  `javassist.compiler.CompileError`